sigmlgen

## Class SiGMLDocToTimed

- java.lang.Object
- - sigmlgen.SiGMLDocToTimed

-     public class SiGMLDocToTimed
      extends java.lang.Object

  A converter for a SiGML document: it generates a new copy of the document in which each `<hns_sign>` and `<hamgestural_sign>` element has a `duration` attribute based on timings from a matching CAS file.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SiGMLDocToTimed.SiGMLConvertException` Exception class for SiGML HNS-to-Gestural conversion.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SiGMLDocToTimed(java.lang.String sigmltext, java.lang.String cas)` Constructs a new converter for the given SiGML `<sigml>` document text, using the given repertoire of standard converters.
    `SiGMLDocToTimed(java.lang.String sigmltext, java.lang.String cas, java.lang.String doceltype)` Constructs a new converter for the given SiGML document text, whose document element should be of the specified type (either `sigml` or `sigmlsection`, using the given repertoire of standard converters.
    `SiGMLDocToTimed(java.lang.String sigmltext, java.lang.String cas, java.lang.String doceltype, boolean loghml)` Constructs a new converter for the given SiGML document text, whose document element should be of the specified type (either `sigml` or `sigmlsection`, using the given repertoire of standard converters, using the given HML logging enabled flag setting.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getGesturalErrorCount()` Returns the error count for this converter's conversion process.
    `java.lang.String` | `getGesturalErrorText()` Returns the error text for this converter's conversion process.
    `java.lang.String` | `getGesturalSiGMLDoc()` Returns the "gestural" SiGML document text produced by this converter's conversion process.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SiGMLDocToTimed

          public SiGMLDocToTimed(java.lang.String sigmltext,
                                 java.lang.String cas)
                          throws SiGMLDocToTimed.SiGMLConvertException

      Constructs a new converter for the given SiGML `<sigml>` document text, using the given repertoire of standard converters.
      Throws:
        `SiGMLDocToTimed.SiGMLConvertException`

    - #### SiGMLDocToTimed

          public SiGMLDocToTimed(java.lang.String sigmltext,
                                 java.lang.String cas,
                                 java.lang.String doceltype)
                          throws SiGMLDocToTimed.SiGMLConvertException

      Constructs a new converter for the given SiGML document text, whose document element should be of the specified type (either `sigml` or `sigmlsection`, using the given repertoire of standard converters.
      Throws:
        `SiGMLDocToTimed.SiGMLConvertException`

    - #### SiGMLDocToTimed

          public SiGMLDocToTimed(java.lang.String sigmltext,
                                 java.lang.String cas,
                                 java.lang.String doceltype,
                                 boolean loghml)
                          throws SiGMLDocToTimed.SiGMLConvertException

      Constructs a new converter for the given SiGML document text, whose document element should be of the specified type (either `sigml` or `sigmlsection`, using the given repertoire of standard converters, using the given HML logging enabled flag setting.
      Throws:
        `SiGMLDocToTimed.SiGMLConvertException`

  - ### Method Detail

    - #### getGesturalSiGMLDoc

          public java.lang.String getGesturalSiGMLDoc()

      Returns the "gestural" SiGML document text produced by this converter's conversion process.

    - #### getGesturalErrorCount

          public int getGesturalErrorCount()

      Returns the error count for this converter's conversion process.

    - #### getGesturalErrorText

          public java.lang.String getGesturalErrorText()

      Returns the error text for this converter's conversion process.